const _Http = getApp().globalData.http;
Component({
    properties: {
        sa_projectid: String,
        disabled: Boolean
    },
    data: {
        "sa_projectid": 1,
        "content": {
            "nocache": true,
            "sa_projectid": 1,
            pageNumbe: 1,
            pageTotal: 1,
            total: null,
            "where": {
                "conditino": ""
            }
        }
    },
    methods: {
        /* 获取地址列表 */
        getList(id, init) {
            let content = this.data.content;
            content.sa_projectid = id;
            if (init) content.pageNumber = 1
            _Http.basic({
                "id": "20221111131004",
                content
            }).then(res => {
                console.log("关联联系人列表", res)
                if (res.msg != '成功') return wx.showToast({
                    title: res.data,
                    icon: "none"
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageSize": res.pageSize,
                    "content.pageTotal": res.pageTotal,
                    "content.sa_projectid": id,
                    "content.total": res.total,
                    sa_projectid: id,
                })
            })
        },
        /* 修改总数 */
        changeTotal() {
            this.setData({
                "content.total": this.data.content.total - 1
            })
        }
    }
})